Subject: Re: [bug#30991] [PATCH v2 3/3] services: Add ModemManager to '%desktop-services'.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 08 May 2018 15:35:44 +0200

Hi Danny,

Danny Milosavljevic <[email-masked]> skribis:

> On Sun, 06 May 2018 23:00:54 +0200
> [email-masked] (Ludovic Courtès) wrote:
>
>> >> I would not add it to ‘%desktop-services’ because I’d think it’s not a
>> >> very common requirement, but I don’t know.  WDYT?  
>> >
>> > Do we need internet in order to install GuixSD?
>> >
>> > Then modem-manager should at least be available in the installation image.  
>> 
>> I think this is orthogonal to the question of adding it to
>> ‘%desktop-services’ since the installation image doesn’t rely on
>> ‘%desktop-services’.
>
> True.  I agree.

So do you still want to add ‘modem-manager’ to ‘%desktop-services’?  :-)

>> Nevertheless, this will all be a matter of size, usability, and
>> documentation.  If it adds “too much” to the size of the installation
>> image, I’d be rather against it.
>
> Well, some way of getting to the internet eventually needs to be available
> somewhere.
>
> (it's fine if it's only in the installed system, so I guess compilation
> of everything is fine).
>
> In Austria the cellphone internet is very cheap - so almost everyone has it
> (and many have only that).  That said, USB or Wifi tethering is common, too.
>
> I'm just trying to reduce the number of things I have to charge on the road :)

:-)

I would expect people installing an OS to have Ethernet or WiFi.  One
gets WiFi even on the train nowadays.  ;-)

In terms of size it doesn’t look good:

--8<---------------cut here---------------start------------->8---
$ guix size $(guix system build ~/src/guix/gnu/system/install.scm ) | tail -1
total: 1116.4 MiB
$ guix size $(guix system build ~/src/guix/gnu/system/install.scm ) modem-manager | tail -1
total: 1346.0 MiB
--8<---------------cut here---------------end--------------->8---

WDYT?

(I actually fail to see how we end up with 1G in the first place…)

> GNU Linux distributions nowadays have trouble providing any kind of simple
> dialup installation - so it's more difficult to install GNU Linux here.
> I think that's ridiculous since the AT commands and PPP required to have
> some kind of internet didn't change sice circa 1985 - and it's small, too.
>
> (I didn't know ModemManager before I packaged it here - but it does
> some extra stuff like provide network card simulator integration for the
> extremely fast LTE modems)
>
> I still have not-so-fond memories of manually downloading a random wvdial
> binary and its dependencies in order to be able to install Gentoo.  A normal
> person (TM) would just give up ;)

Heheh.

Thanks,
Ludo’.